Index: pykota/trunk/bin/pksetup
===================================================================
--- pykota/trunk/bin/pksetup (revision 3230)
+++ pykota/trunk/bin/pksetup (revision 3231)
@@ -448,5 +448,5 @@
     retcode = 0
     if (len(sys.argv) != 2) or (sys.argv[1] == "-h") or (sys.argv[1] == "--help") :
-        sys.stderr.write("pksetup v0.1 (c) 2003-2007 Jerome Alet - alet@librelogiciel.com\n\nusage : pksetup distribution\n\ne.g. : pksetup debian\n\nIMPORTANT : only Debian and Ubuntu are currently supported.\n")
+        print "pksetup v0.1 (c) 2003-2007 Jerome Alet - alet@librelogiciel.com\n\nusage : pksetup distribution\n\ne.g. : pksetup debian\n\nIMPORTANT : only Debian and Ubuntu are currently supported."
     elif (sys.argv[1] == "-v") or (sys.argv[1] == "--version") :    
         print "0.1" # pksetup's own version number
Index: pykota/trunk/man/sv_SE/pksetup.1
===================================================================
--- pykota/trunk/man/sv_SE/pksetup.1 (revision 3231)
+++ pykota/trunk/man/sv_SE/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/de/pksetup.1
===================================================================
--- pykota/trunk/man/de/pksetup.1 (revision 3231)
+++ pykota/trunk/man/de/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/pksetup.1
===================================================================
--- pykota/trunk/man/pksetup.1 (revision 3231)
+++ pykota/trunk/man/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "July 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NAME
+pksetup \- manual page for pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/nb_NO/pksetup.1
===================================================================
--- pykota/trunk/man/nb_NO/pksetup.1 (revision 3231)
+++ pykota/trunk/man/nb_NO/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/pt_BR/pksetup.1
===================================================================
--- pykota/trunk/man/pt_BR/pksetup.1 (revision 3231)
+++ pykota/trunk/man/pt_BR/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/fr/pksetup.1
===================================================================
--- pykota/trunk/man/fr/pksetup.1 (revision 3231)
+++ pykota/trunk/man/fr/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/th/pksetup.1
===================================================================
--- pykota/trunk/man/th/pksetup.1 (revision 3231)
+++ pykota/trunk/man/th/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/pl/pksetup.1
===================================================================
--- pykota/trunk/man/pl/pksetup.1 (revision 3231)
+++ pykota/trunk/man/pl/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/genman.sh
===================================================================
--- pykota/trunk/man/genman.sh (revision 3133)
+++ pykota/trunk/man/genman.sh (revision 3231)
@@ -14,5 +14,5 @@
 # $Id$
 #
-for prog in pkrefund pknotify pkusers pkinvoice pkturnkey pkbcodes pkmail pkbanner autopykota dumpykota edpykota pykotme repykota warnpykota pkprinters pykosd ; do 
+for prog in pksetup pkrefund pknotify pkusers pkinvoice pkturnkey pkbcodes pkmail pkbanner autopykota dumpykota edpykota pykotme repykota warnpykota pkprinters pykosd ; do 
     echo $prog ;
     help2man --no-info --section=1 --manual "User Commands" --source="C@LL - Conseil Internet & Logiciels Libres" --output=$prog.1 $prog ; 
Index: pykota/trunk/man/pt/pksetup.1
===================================================================
--- pykota/trunk/man/pt/pksetup.1 (revision 3231)
+++ pykota/trunk/man/pt/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/tr/pksetup.1
===================================================================
--- pykota/trunk/man/tr/pksetup.1 (revision 3231)
+++ pykota/trunk/man/tr/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/el_GR/pksetup.1
===================================================================
--- pykota/trunk/man/el_GR/pksetup.1 (revision 3231)
+++ pykota/trunk/man/el_GR/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/zh_TW/pksetup.1
===================================================================
--- pykota/trunk/man/zh_TW/pksetup.1 (revision 3231)
+++ pykota/trunk/man/zh_TW/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/es/pksetup.1
===================================================================
--- pykota/trunk/man/es/pksetup.1 (revision 3231)
+++ pykota/trunk/man/es/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.
Index: pykota/trunk/man/it/pksetup.1
===================================================================
--- pykota/trunk/man/it/pksetup.1 (revision 3231)
+++ pykota/trunk/man/it/pksetup.1 (revision 3231)
@@ -0,0 +1,12 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
+.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.SH NOM
+pksetup \- page de manuel de pksetup 0.1
+.SH DESCRIPTION
+pksetup v0.1 (c) 2003\-2007 Jerome Alet \- alet@librelogiciel.com
+.PP
+usage : pksetup distribution
+.PP
+e.g. : pksetup debian
+.PP
+IMPORTANT : only Debian and Ubuntu are currently supported.