Index: pykota/trunk/man/tr/edpykota.1
===================================================================
--- pykota/trunk/man/tr/edpykota.1 (revision 3238)
+++ pykota/trunk/man/tr/edpykota.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH EDPYKOTA "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH EDPYKOTA "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-edpykota \- page de manuel de edpykota 1.26_unofficial
+edpykota \- page de manuel de edpykota 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-edpykota v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+edpykota v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Print Quota editor for PyKota.
@@ -136,7 +136,8 @@
 will be deleted from the history.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -147,6 +148,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pkinvoice.1
===================================================================
--- pykota/trunk/man/tr/pkinvoice.1 (revision 3238)
+++ pykota/trunk/man/tr/pkinvoice.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKINVOICE "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKINVOICE "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkinvoice \- page de manuel de pkinvoice 1.26_unofficial
+pkinvoice \- page de manuel de pkinvoice 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-pkinvoice v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+pkinvoice v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 An invoice generator for PyKota.
@@ -107,7 +107,8 @@
 EURO.  No VAT information will be included.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -118,6 +119,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pykotme.1
===================================================================
--- pykota/trunk/man/tr/pykotme.1 (revision 3238)
+++ pykota/trunk/man/tr/pykotme.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PYKOTME "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PYKOTME "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykotme \- page de manuel de pykotme 1.26_unofficial
+pykotme \- page de manuel de pykotme 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-pykotme v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+pykotme v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 Gives print quotes to users.
@@ -50,7 +50,8 @@
 would cost on each printer.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -61,6 +62,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pkbcodes.1
===================================================================
--- pykota/trunk/man/tr/pkbcodes.1 (revision 3238)
+++ pykota/trunk/man/tr/pkbcodes.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKBCODES "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKBCODES "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbcodes \- page de manuel de pkbcodes 1.26_unofficial
+pkbcodes \- page de manuel de pkbcodes 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-pkbcodes v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+pkbcodes v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 A billing codes Manager for PyKota.
@@ -62,7 +62,8 @@
 This will list all billing codes which name begins with 'my'.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -73,6 +74,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pksetup.1
===================================================================
--- pykota/trunk/man/tr/pksetup.1 (revision 3231)
+++ pykota/trunk/man/tr/pksetup.1 (revision 3259)
@@ -1,4 +1,4 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKSETUP "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKSETUP "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
 pksetup \- page de manuel de pksetup 0.1
Index: pykota/trunk/man/tr/pkusers.1
===================================================================
--- pykota/trunk/man/tr/pkusers.1 (revision 3238)
+++ pykota/trunk/man/tr/pkusers.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKUSERS "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKUSERS "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkusers \- page de manuel de pkusers 1.26_unofficial
+pkusers \- page de manuel de pkusers 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-pkusers v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+pkusers v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 An Users and Groups Manager for PyKota.
@@ -151,7 +151,8 @@
 This will set the email address for each user to username@example.com
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -162,6 +163,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pkturnkey.1
===================================================================
--- pykota/trunk/man/tr/pkturnkey.1 (revision 3238)
+++ pykota/trunk/man/tr/pkturnkey.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKTURNKEY "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKTURNKEY "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkturnkey \- page de manuel de pkturnkey 1.26_unofficial
+pkturnkey \- page de manuel de pkturnkey 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-pkturnkey v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+pkturnkey v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 A turn key tool for PyKota. When launched, this command will initialize
@@ -83,7 +83,8 @@
 printers, by passing their names at the end of the command line.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -94,6 +95,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/repykota.1
===================================================================
--- pykota/trunk/man/tr/repykota.1 (revision 3238)
+++ pykota/trunk/man/tr/repykota.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH REPYKOTA "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH REPYKOTA "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-repykota \- page de manuel de repykota 1.26_unofficial
+repykota \- page de manuel de repykota 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-repykota v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+repykota v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates print quota reports.
@@ -59,7 +59,8 @@
 current user/group is reported.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -70,6 +71,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/warnpykota.1
===================================================================
--- pykota/trunk/man/tr/warnpykota.1 (revision 3238)
+++ pykota/trunk/man/tr/warnpykota.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH WARNPYKOTA "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH WARNPYKOTA "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-warnpykota \- page de manuel de warnpykota 1.26_unofficial
+warnpykota \- page de manuel de warnpykota 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-warnpykota v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+warnpykota v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 Sends mail to users over print quota.
@@ -60,7 +60,8 @@
 current user/group is reported.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -71,6 +72,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pkbanner.1
===================================================================
--- pykota/trunk/man/tr/pkbanner.1 (revision 3238)
+++ pykota/trunk/man/tr/pkbanner.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKBANNER "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKBANNER "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkbanner \- page de manuel de pkbanner 1.26_unofficial
+pkbanner \- page de manuel de pkbanner 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-pkbanner v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+pkbanner v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 Generates banners.
@@ -57,7 +57,8 @@
 in PyKota.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -68,6 +69,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/autopykota.1
===================================================================
--- pykota/trunk/man/tr/autopykota.1 (revision 3238)
+++ pykota/trunk/man/tr/autopykota.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH AUTOPYKOTA "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH AUTOPYKOTA "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-autopykota \- page de manuel de autopykota 1.26_unofficial
+autopykota \- page de manuel de autopykota 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-autopykota v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+autopykota v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 A tool to automate user account creation and initial balance setting.
@@ -32,7 +32,8 @@
 Sets the user's e\-mail address.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -43,6 +44,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pkprinters.1
===================================================================
--- pykota/trunk/man/tr/pkprinters.1 (revision 3238)
+++ pykota/trunk/man/tr/pkprinters.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKPRINTERS "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKPRINTERS "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkprinters \- page de manuel de pkprinters 1.26_unofficial
+pkprinters \- page de manuel de pkprinters 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-pkprinters v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+pkprinters v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 A Printers Manager for PyKota.
@@ -108,7 +108,8 @@
 This will remove the hp2200 printer from the LexMark printer group.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -119,6 +120,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pknotify.1
===================================================================
--- pykota/trunk/man/tr/pknotify.1 (revision 3238)
+++ pykota/trunk/man/tr/pknotify.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKNOTIFY "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKNOTIFY "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pknotify \- page de manuel de pknotify 1.26_unofficial
+pknotify \- page de manuel de pknotify 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-pknotify v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+pknotify v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 Notifies or ask questions to end users who launched the PyKotIcon application.
@@ -126,7 +126,8 @@
 print server.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -137,6 +138,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pykosd.1
===================================================================
--- pykota/trunk/man/tr/pykosd.1 (revision 3238)
+++ pykota/trunk/man/tr/pykosd.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PYKOSD "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PYKOSD "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykosd \- page de manuel de pykosd 1.26_unofficial
+pykosd \- page de manuel de pykosd 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-pykosd v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+pykosd v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 An OSD quota monitor for PyKota.
@@ -48,7 +48,8 @@
 iterations, the program will exit.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -59,6 +60,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pkmail.1
===================================================================
--- pykota/trunk/man/tr/pkmail.1 (revision 3238)
+++ pykota/trunk/man/tr/pkmail.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKMAIL "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKMAIL "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkmail \- page de manuel de pkmail 1.26_unofficial
+pkmail \- page de manuel de pkmail 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-pkmail v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+pkmail v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 Email gateway for PyKota.
@@ -47,7 +47,8 @@
 Use at your own risk !
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -58,6 +59,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/dumpykota.1
===================================================================
--- pykota/trunk/man/tr/dumpykota.1 (revision 3238)
+++ pykota/trunk/man/tr/dumpykota.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH DUMPYKOTA "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH DUMPYKOTA "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-dumpykota \- page de manuel de dumpykota 1.26_unofficial
+dumpykota \- page de manuel de dumpykota 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-dumpykota v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+dumpykota v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 Dumps PyKota database's content.
@@ -150,7 +150,8 @@
 July 30th 2005 at 23 hours 46 minutes and 15 secondes included.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -161,6 +162,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com
Index: pykota/trunk/man/tr/pkrefund.1
===================================================================
--- pykota/trunk/man/tr/pkrefund.1 (revision 3238)
+++ pykota/trunk/man/tr/pkrefund.1 (revision 3259)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.36.
-.TH PKREFUND "1" "juillet 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKREFUND "1" "novembre 2007" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkrefund \- page de manuel de pkrefund 1.26_unofficial
+pkrefund \- page de manuel de pkrefund 1.27alpha2_broken_unofficial
 .SH DESCRIPTION
-pkrefund v1.26_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
+pkrefund v1.27alpha2_broken_unofficial (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet \- alet@librelogiciel.com
 .PP
 Refunds jobs.
@@ -125,7 +125,8 @@
 and yesterday. No confirmation will be asked.
 .PP
-This program is free software; you can redistribute it and/or modify
+(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
-the Free Software Foundation; either version 2 of the License, or
+the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 .PP
@@ -136,6 +137,5 @@
 .PP
 You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301, USA.
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
 .PP
 Please report bugs to : Jerome Alet \- alet@librelogiciel.com