Index: pykota/trunk/pykota/accounters/software.py
===================================================================
--- pykota/trunk/pykota/accounters/software.py (revision 3256)
+++ pykota/trunk/pykota/accounters/software.py (revision 3260)
@@ -1,13 +1,12 @@
-# PyKota
-# -*- coding: ISO-8859-15 -*-
+# -*- coding: UTF-8 -*-
 #
-# PyKota - Print Quotas for CUPS and LPRng
+# PyKota : Print Quotas for CUPS
 #
 # (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
-# This program is free software; you can redistribute it and/or modify
+# This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
+# the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
-#
+# 
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -16,6 +15,5 @@
 # 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # $Id$
Index: pykota/trunk/pykota/accounters/hardware.py
===================================================================
--- pykota/trunk/pykota/accounters/hardware.py (revision 3245)
+++ pykota/trunk/pykota/accounters/hardware.py (revision 3260)
@@ -1,13 +1,12 @@
-# PyKota
-# -*- coding: ISO-8859-15 -*-
+# -*- coding: UTF-8 -*-
 #
-# PyKota - Print Quotas for CUPS and LPRng
+# PyKota : Print Quotas for CUPS
 #
 # (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
-# This program is free software; you can redistribute it and/or modify
+# This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
+# the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
-#
+# 
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -16,6 +15,5 @@
 # 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # $Id$
Index: pykota/trunk/pykota/accounters/snmp.py
===================================================================
--- pykota/trunk/pykota/accounters/snmp.py (revision 3190)
+++ pykota/trunk/pykota/accounters/snmp.py (revision 3260)
@@ -1,13 +1,12 @@
-# PyKota
-# -*- coding: ISO-8859-15 -*-
-#
-# PyKota - Print Quotas for CUPS and LPRng
+# -*- coding: UTF-8 -*-
+#
+# PyKota : Print Quotas for CUPS
 #
 # (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
-# This program is free software; you can redistribute it and/or modify
+# This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
+# the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
-#
+# 
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -16,6 +15,5 @@
 # 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # $Id$
Index: pykota/trunk/pykota/accounters/__init__.py
===================================================================
--- pykota/trunk/pykota/accounters/__init__.py (revision 3133)
+++ pykota/trunk/pykota/accounters/__init__.py (revision 3260)
@@ -1,13 +1,12 @@
-# PyKota
-# -*- coding: ISO-8859-15 -*-
+# -*- coding: UTF-8 -*-
 #
-# PyKota : Print Quotas for CUPS and LPRng
+# PyKota : Print Quotas for CUPS
 #
 # (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
-# This program is free software; you can redistribute it and/or modify
+# This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
+# the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
-#
+# 
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -16,6 +15,5 @@
 # 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # $Id$
Index: pykota/trunk/pykota/accounters/ink.py
===================================================================
--- pykota/trunk/pykota/accounters/ink.py (revision 3252)
+++ pykota/trunk/pykota/accounters/ink.py (revision 3260)
@@ -1,13 +1,12 @@
-# PyKota
-# -*- coding: ISO-8859-15 -*-
+# -*- coding: UTF-8 -*-
 #
-# PyKota - Print Quotas for CUPS and LPRng
+# PyKota : Print Quotas for CUPS
 #
 # (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
-# This program is free software; you can redistribute it and/or modify
+# This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
+# the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
-#
+# 
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -16,6 +15,5 @@
 # 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # $Id$
Index: pykota/trunk/pykota/accounters/pjl.py
===================================================================
--- pykota/trunk/pykota/accounters/pjl.py (revision 3198)
+++ pykota/trunk/pykota/accounters/pjl.py (revision 3260)
@@ -1,13 +1,12 @@
-# PyKota
-# -*- coding: ISO-8859-15 -*-
-#
-# PyKota - Print Quotas for CUPS and LPRng
+# -*- coding: UTF-8 -*-
+#
+# PyKota : Print Quotas for CUPS
 #
 # (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
-# This program is free software; you can redistribute it and/or modify
+# This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
+# the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
-#
+# 
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -16,6 +15,5 @@
 # 
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # $Id$