Index: pykota/trunk/man/pt/edpykota.1
===================================================================
--- pykota/trunk/man/pt/edpykota.1 (revision 3259)
+++ pykota/trunk/man/pt/edpykota.1 (revision 3263)
@@ -96,5 +96,5 @@
 examples :
 .IP
-\f(CW$ edpykota --add john paul george ringo\fR
+\f(CW$ edpykota \-\-add john paul george ringo\fR
 .IP
 This will create print quota entries for users john, paul, george
@@ -102,5 +102,5 @@
 limit set.
 .IP
-\f(CW$ edpykota --printer lp -S 50 -H 60 jerome\fR
+\f(CW$ edpykota \-\-printer lp -S 50 -H 60 jerome\fR
 .IP
 This will set jerome's print quota on the lp printer to a soft limit
@@ -114,5 +114,5 @@
 to 550 pages for groups financial and support on all printers.
 .IP
-\f(CW$ edpykota --reset jerome "jo*"\fR
+\f(CW$ edpykota \-\-reset jerome "jo*"\fR
 .IP
 This will reset jerome's page counter to zero on all printers, as
@@ -122,5 +122,5 @@
 \fB\-\-hardreset\fR | \fB\-R\fR command line option.
 .IP
-\f(CW$ edpykota --printer hpcolor --noquota jerome\fR
+\f(CW$ edpykota \-\-printer hpcolor \-\-noquota jerome\fR
 .IP
 This will tell PyKota to not limit jerome when printing on the
@@ -129,5 +129,5 @@
 Print Quotas for jerome on other printers are unchanged.
 .IP
-\f(CW$ edpykota --delete --printer "HP*,XER*" jerome rachel\fR
+\f(CW$ edpykota \-\-delete \-\-printer "HP*,XER*" jerome rachel\fR
 .IP
 This will delete users jerome and rachel's print quota
Index: pykota/trunk/man/pt/pkinvoice.1
===================================================================
--- pykota/trunk/man/pt/pkinvoice.1 (revision 3259)
+++ pykota/trunk/man/pt/pkinvoice.1 (revision 3263)
@@ -101,5 +101,5 @@
 examples :
 .IP
-\f(CW$ pkinvoice --unit EURO --output /tmp/invoices.pdf start=now-30\fR
+\f(CW$ pkinvoice \-\-unit EURO \-\-output /tmp/invoices.pdf start=now-30\fR
 .IP
 Will generate a PDF document containing invoices for all users
Index: pykota/trunk/man/pt/pykotme.1
===================================================================
--- pykota/trunk/man/pt/pykotme.1 (revision 3259)
+++ pykota/trunk/man/pt/pykotme.1 (revision 3263)
@@ -31,5 +31,5 @@
 examples :
 .IP
-\f(CW$ pykotme --printer apple file1.ps file2.ps\fR
+\f(CW$ pykotme \-\-printer apple file1.ps file2.ps\fR
 .IP
 This will give a print quote to the current user. The quote will show
@@ -37,5 +37,5 @@
 which would be sent to the apple printer.
 .IP
-\f(CW$ pykotme --printer apple,hplaser <file1.ps\fR
+\f(CW$ pykotme \-\-printer apple,hplaser <file1.ps\fR
 .IP
 This will give a print quote to the current user. The quote will show
Index: pykota/trunk/man/pt/pkbcodes.1
===================================================================
--- pykota/trunk/man/pt/pkbcodes.1 (revision 3259)
+++ pykota/trunk/man/pt/pkbcodes.1 (revision 3263)
@@ -48,15 +48,15 @@
 examples :
 .IP
-\f(CW$ pkbcodes --add -D "My project" myproj\fR
+\f(CW$ pkbcodes \-\-add -D "My project" myproj\fR
 .IP
 Will create the myproj billing code with "My project"
 as the description.
 .IP
-\f(CW$ pkbcodes --delete "*"\fR
+\f(CW$ pkbcodes \-\-delete "*"\fR
 .IP
 This will completely delete all the billing codes, but without
 removing any matching job from the history. USE WITH CARE ANYWAY !
 .IP
-\f(CW$ pkbcodes --list "my*"\fR
+\f(CW$ pkbcodes \-\-list "my*"\fR
 .IP
 This will list all billing codes which name begins with 'my'.
Index: pykota/trunk/man/pt/pkusers.1
===================================================================
--- pykota/trunk/man/pt/pkusers.1 (revision 3259)
+++ pykota/trunk/man/pt/pkusers.1 (revision 3263)
@@ -105,5 +105,5 @@
 examples :
 .IP
-\f(CW$ pkusers --add john paul george ringo/ringo@example.com\fR
+\f(CW$ pkusers \-\-add john paul george ringo/ringo@example.com\fR
 .IP
 This will add users john, paul, george and ringo to the quota
@@ -111,15 +111,15 @@
 \&'ringo@example.com'
 .IP
-\f(CW$ pkusers --ingroups coders,it jerome\fR
+\f(CW$ pkusers \-\-ingroups coders,it jerome\fR
 .IP
 User jerome is put into the groups "coders" and "it" which must
 already exist in the quota database.
 .IP
-\f(CW$ pkusers --limitby balance jerome\fR
+\f(CW$ pkusers \-\-limitby balance jerome\fR
 .IP
 This will tell PyKota to limit jerome by his account's balance
 when printing.
 .IP
-\f(CW$ pkusers --balance +10.0 --comment "He paid with his blood !" jerome\fR
+\f(CW$ pkusers \-\-balance +10.0 \-\-comment "He paid with his blood !" jerome\fR
 .IP
 This will increase jerome's account balance by 10.0 (in your
@@ -128,18 +128,18 @@
 A comment will be stored for this balance change.
 .IP
-\f(CW$ pkusers --delete jerome rachel\fR
+\f(CW$ pkusers \-\-delete jerome rachel\fR
 .IP
 This will completely delete jerome and rachel from the quota
 database. All their quotas and jobs will be deleted too.
 .IP
-\f(CW$ pkusers --overcharge 2.5 poorstudent\fR
+\f(CW$ pkusers \-\-overcharge 2.5 poorstudent\fR
 .IP
 This will overcharge the poorstudent user by a factor of 2.5.
 .IP
-\f(CW$ pkusers --overcharge -1 jerome\fR
+\f(CW$ pkusers \-\-overcharge -1 jerome\fR
 .IP
 User jerome will actually earn money whenever he prints.
 .IP
-\f(CW$ pkusers --overcharge 0 boss\fR
+\f(CW$ pkusers \-\-overcharge 0 boss\fR
 .IP
 User boss can print at will, it won't cost him anything because the
@@ -147,5 +147,5 @@
 his account.
 .IP
-\f(CW$ pkusers --email @example.com\fR
+\f(CW$ pkusers \-\-email @example.com\fR
 .IP
 This will set the email address for each user to username@example.com
Index: pykota/trunk/man/pt/pkturnkey.1
===================================================================
--- pykota/trunk/man/pt/pkturnkey.1 (revision 3259)
+++ pykota/trunk/man/pt/pkturnkey.1 (revision 3263)
@@ -71,5 +71,5 @@
 examples :
 .IP
-\f(CW$ pkturnkey --dousers --uidmin jerome\fR
+\f(CW$ pkturnkey \-\-dousers \-\-uidmin jerome\fR
 .IP
 Will simulate the initialization of PyKota's database will all existing
Index: pykota/trunk/man/pt/repykota.1
===================================================================
--- pykota/trunk/man/pt/repykota.1 (revision 3259)
+++ pykota/trunk/man/pt/repykota.1 (revision 3263)
@@ -41,5 +41,5 @@
 examples :
 .IP
-\f(CW$ repykota --printer lp\fR
+\f(CW$ repykota \-\-printer lp\fR
 .IP
 This will print the quota status for all users who use the lp printer.
@@ -49,5 +49,5 @@
 This will print the quota status for all users on all printers.
 .IP
-\f(CW$ repykota --printer "laser*,*pson" jerome "jo*"\fR
+\f(CW$ repykota \-\-printer "laser*,*pson" jerome "jo*"\fR
 .IP
 This will print the quota status for user jerome and all users
Index: pykota/trunk/man/pt/warnpykota.1
===================================================================
--- pykota/trunk/man/pt/warnpykota.1 (revision 3259)
+++ pykota/trunk/man/pt/warnpykota.1 (revision 3263)
@@ -38,5 +38,5 @@
 examples :
 .IP
-\f(CW$ warnpykota --printer lp\fR
+\f(CW$ warnpykota \-\-printer lp\fR
 .IP
 This will warn all users of the lp printer who have exceeded their
@@ -50,5 +50,5 @@
 any printer.
 .IP
-\f(CW$ warnpykota --groups --printer "laserjet*" "dev*"\fR
+\f(CW$ warnpykota \-\-groups \-\-printer "laserjet*" "dev*"\fR
 .IP
 This will warn all users of groups which names begins with "dev" and
Index: pykota/trunk/man/pt/pkprinters.1
===================================================================
--- pykota/trunk/man/pt/pkprinters.1 (revision 3259)
+++ pykota/trunk/man/pt/pkprinters.1 (revision 3263)
@@ -84,5 +84,5 @@
 examples :
 .IP
-\f(CW$ pkprinters --add -D "HP Printer" --charge 0.05,0.1 hp2100 hp2200 hp8000\fR
+\f(CW$ pkprinters \-\-add -D "HP Printer" \-\-charge 0.05,0.1 hp2100 hp2200 hp8000\fR
 .IP
 Will create three printers named hp2100, hp2200 and hp8000.
@@ -94,15 +94,15 @@
 unless the \fB\-s\fR|\-\-skipexisting command line option is also used.
 .IP
-\f(CW$ pkprinters --delete "*"\fR
+\f(CW$ pkprinters \-\-delete "*"\fR
 .IP
 This will completely delete all printers and associated quota information,
 as well as their job history. USE WITH CARE !
 .IP
-\f(CW$ pkprinters --groups Laser,HP "hp*"\fR
+\f(CW$ pkprinters \-\-groups Laser,HP "hp*"\fR
 .IP
 This will put all printers which name matches "hp*" into printers groups
 Laser and HP, which MUST already exist.
 .IP
-\f(CW$ pkprinters --groups LexMark --remove hp2200\fR
+\f(CW$ pkprinters \-\-groups LexMark \-\-remove hp2200\fR
 .IP
 This will remove the hp2200 printer from the LexMark printer group.
Index: pykota/trunk/man/pt/pykosd.1
===================================================================
--- pykota/trunk/man/pt/pykosd.1 (revision 3259)
+++ pykota/trunk/man/pt/pykosd.1 (revision 3263)
@@ -42,5 +42,5 @@
 examples :
 .IP
-\f(CW$ pykosd -s 60 --loop 5\fR
+\f(CW$ pykosd -s 60 \-\-loop 5\fR
 .IP
 Will launch pykosd. Display will be refreshed every 60 seconds,
Index: pykota/trunk/man/pt/dumpykota.1
===================================================================
--- pykota/trunk/man/pt/dumpykota.1 (revision 3259)
+++ pykota/trunk/man/pt/dumpykota.1 (revision 3263)
@@ -132,18 +132,18 @@
 Examples :
 .IP
-\f(CW$ dumpykota --data history --format csv >myfile.csv\fR
+\f(CW$ dumpykota \-\-data history \-\-format csv >myfile.csv\fR
 .IP
 This dumps the history in a comma separated values file, for possible
 use in a spreadsheet.
 .IP
-\f(CW$ dumpykota --data users --format xml -o users.xml\fR
+\f(CW$ dumpykota \-\-data users \-\-format xml -o users.xml\fR
 .IP
 Dumps all users datas to the users.xml file.
 .IP
-\f(CW$ dumpykota --data history printername=HP2100 username=jerome\fR
+\f(CW$ dumpykota \-\-data history printername=HP2100 username=jerome\fR
 .IP
 Dumps the job history for user jerome on printer HP2100 only.
 .IP
-\f(CW$ dumpykota --data history start=200503 end=20050730234615\fR
+\f(CW$ dumpykota \-\-data history start=200503 end=20050730234615\fR
 .IP
 Dumps all jobs printed between March 1st 2005 at midnight and
Index: pykota/trunk/man/pt/pkrefund.1
===================================================================
--- pykota/trunk/man/pt/pkrefund.1 (revision 3259)
+++ pykota/trunk/man/pt/pkrefund.1 (revision 3263)
@@ -102,5 +102,5 @@
 Examples :
 .IP
-\f(CW$ pkrefund --output /tmp/receipts.pdf jobid=503\fR
+\f(CW$ pkrefund \-\-output /tmp/receipts.pdf jobid=503\fR
 .IP
 This will refund all jobs which Id is 503. BEWARE : installing CUPS
@@ -110,15 +110,15 @@
 will be created which will contain printable receipts.
 .IP
-\f(CW$ pkrefund --reason "Hardware problem" jobid=503 start=today-7\fR
+\f(CW$ pkrefund \-\-reason "Hardware problem" jobid=503 start=today-7\fR
 .IP
 Refunds all jobs which id is 503 but which were printed during the
 past week. The reason will be marked as being an hardware problem.
 .IP
-\f(CW$ pkrefund --force username=jerome printername=HP2100\fR
+\f(CW$ pkrefund \-\-force username=jerome printername=HP2100\fR
 .IP
 Refunds all jobs printed by user jerome on printer HP2100. No
 confirmation will be asked.
 .IP
-\f(CW$ pkrefund --force printername=HP2100 start=200602 end=yesterday\fR
+\f(CW$ pkrefund \-\-force printername=HP2100 start=200602 end=yesterday\fR
 .IP
 Refunds all jobs printed on printer HP2100 between February 1st 2006